/*
* This file contains all the necessary settings for the IQS7211A and this file can
* be changed from the GUI or edited here
* File:   IQS7211A_init.h
* Author: Azoteq
*/ 

#ifndef IQS7211A_INIT_H
#define IQS7211A_INIT_H

/* Change the ATI Settings */
/* Memory Map Position 0x30 - 0x43 */
#define TP_ATI_MULTIPLIERS_DIVIDERS_0            0x81
#define TP_ATI_MULTIPLIERS_DIVIDERS_1            0x0C
#define TP_COMPENSATION_DIV_0                    0x06
#define TP_COMPENSATION_DIV_1                    0x00
#define TP_ATI_TARGET_0                          0xC2
#define TP_ATI_TARGET_1                          0x01
#define TP_REF_DRIFT_LIMIT_0                     0x32
#define TP_REF_DRIFT_LIMIT_1                     0x00
#define TP_MIN_COUNT_REATI_0                     0x0A
#define TP_MIN_COUNT_REATI_1                     0x00
#define REATI_RETRY_TIME_0                       0x05
#define REATI_RETRY_TIME_1                       0x00
#define ALP_ATI_MULTIPLIERS_DIVIDERS_0           0x21
#define ALP_ATI_MULTIPLIERS_DIVIDERS_1           0x02
#define ALP_COMPENSATION_DIV_0                   0x02
#define ALP_COMPENSATION_DIV_1                   0x00
#define ALP_ATI_TARGET_0                         0xC8
#define ALP_ATI_TARGET_1                         0x00
#define ALP_LTA_DRIFT_LIMIT_0                    0x14
#define ALP_LTA_DRIFT_LIMIT_1                    0x00

/* Change the ALP ATI Compensation */
/* Memory Map Position 0x3A - 0x3D */
#define ALP_COMPENSATION_A_0                     0x80
#define ALP_COMPENSATION_A_1                     0x01
#define ALP_COMPENSATION_B_0                     0x80
#define ALP_COMPENSATION_B_1                     0x01

/* Change the Report Rates and Timing */
/* Memory Map Position 0x40 - 0x85 */
#define ACTIVE_MODE_REPORT_RATE_0                0x0A
#define ACTIVE_MODE_REPORT_RATE_1                0x00
#define IDLE_TOUCH_MODE_REPORT_RATE_0            0x32
#define IDLE_TOUCH_MODE_REPORT_RATE_1            0x00
#define IDLE_MODE_REPORT_RATE_0                  0x32
#define IDLE_MODE_REPORT_RATE_1                  0x00
#define LP1_MODE_REPORT_RATE_0                   0x50
#define LP1_MODE_REPORT_RATE_1                   0x00
#define LP2_MODE_REPORT_RATE_0                   0xA0
#define LP2_MODE_REPORT_RATE_1                   0x00
#define ACTIVE_MODE_TIMEOUT_0                    0x0A
#define ACTIVE_MODE_TIMEOUT_1                    0x00
#define IDLE_TOUCH_MODE_TIMEOUT_0                0x3C
#define IDLE_TOUCH_MODE_TIMEOUT_1                0x00
#define IDLE_MODE_TIMEOUT_0                      0x14
#define IDLE_MODE_TIMEOUT_1                      0x00
#define LP1_MODE_TIMEOUT_0                       0x0A
#define LP1_MODE_TIMEOUT_1                       0x00
#define REF_UPDATE_TIME_0                        0x08
#define REF_UPDATE_TIME_1                        0x00
#define I2C_TIMEOUT_0                            0x64
#define I2C_TIMEOUT_1                            0x00

/* Change the System Settings */
/* Memory Map Position 0x50 - 0x67 */
#define SYSTEM_CONTROL_0                         0x50
#define SYSTEM_CONTROL_1                         0x00
#define CONFIG_SETTINGS0                         0x3C
#define CONFIG_SETTINGS1                         0x00
#define OTHER_SETTINGS_0                         0x20
#define OTHER_SETTINGS_1                         0xFF
#define TRACKPAD_TOUCH_SET_THRESHOLD             0x0D
#define TRACKPAD_TOUCH_CLEAR_THRESHOLD           0x0A
#define ALP_THRESHOLD_0                          0x1E
#define ALP_THRESHOLD_1                          0x00
#define OPEN_0_0                                 0x07
#define OPEN_0_1                                 0x06
#define ALP_SET_DEBOUNCE                         0x04
#define ALP_CLEAR_DEBOUNCE                       0x04
#define OPEN_1_0                                 0x01
#define OPEN_1_1                                 0x01
#define TP_CONVERSION_FREQUENCY_UP_PASS_LENGTH   0x02
#define TP_CONVERSION_FREQUENCY_FRACTION_VALUE   0x1A
#define ALP_CONVERSION_FREQUENCY_UP_PASS_LENGTH  0x02
#define ALP_CONVERSION_FREQUENCY_FRACTION_VALUE  0x1A
#define TRACKPAD_HARDWARE_SETTINGS_0             0x01
#define TRACKPAD_HARDWARE_SETTINGS_1             0x09
#define ALP_HARDWARE_SETTINGS_0                  0x65
#define ALP_HARDWARE_SETTINGS_1                  0x09

/* Change the Trackpad Settings */
/* Memory Map Position 0x60 - 0x75 */
#define TRACKPAD_SETTINGS_0_0                    0x28
#define TRACKPAD_SETTINGS_0_1                    0x03
#define TRACKPAD_SETTINGS_1_0                    0x03
#define TRACKPAD_SETTINGS_1_1                    0x01
#define X_RESOLUTION_0                           0xF4
#define X_RESOLUTION_1                           0x01
#define Y_RESOLUTION_0                           0xF4
#define Y_RESOLUTION_1                           0x01
#define XY_DYNAMIC_FILTER_BOTTOM_SPEED_0         0x14
#define XY_DYNAMIC_FILTER_BOTTOM_SPEED_1         0x00
#define XY_DYNAMIC_FILTER_TOP_SPEED_0            0x7C
#define XY_DYNAMIC_FILTER_TOP_SPEED_1            0x00
#define XY_DYNAMIC_FILTER_BOTTOM_BETA            0x04
#define XY_DYNAMIC_FILTER_STATIC_FILTER_BETA     0x80
#define STATIONARY_TOUCH_MOV_THRESHOLD           0x14
#define FINGER_SPLIT_FACTOR                      0x03
#define X_TRIM_VALUE_0                           0x14
#define X_TRIM_VALUE_1                           0x00
#define Y_TRIM_VALUE_0                           0x14
#define Y_TRIM_VALUE_1                           0x00

/* Change the ALP Settings */
/* Memory Map Position 0x70 - 0x77 */
#define ALP_COUNT_FILTER_BETA_0                  0xB4
#define OPEN_0                                   0x00
#define ALP_LTA_BETA_LP1                         0x06
#define ALP_LTA_BETA_LP2                         0x04
#define ALP_SETUP_0                              0x21
#define ALP_SETUP_1                              0x03
#define ALP_TX_ENABLE_0                          0x00
#define ALP_TX_ENABLE_1                          0x0A

/* Change the Settings Version Numbers */
/* Memory Map Position 0x74 - 0x75 */
#define MINOR_VERSION                            0x00
#define MAJOR_VERSION                            0x00

/* Change the Gesture Settings */
/* Memory Map Position 0x80 - 0x8F */
#define GESTURE_ENABLE_0                         0x3F
#define GESTURE_ENABLE_1                         0x0F
#define TAP_TIME_0                               0x96
#define TAP_TIME_1                               0x00
#define TAP_DISTANCE_0                           0x64
#define TAP_DISTANCE_1                           0x00
#define HOLD_TIME_0                              0x52
#define HOLD_TIME_1                              0x03
#define SWIPE_TIME_0                             0xFA
#define SWIPE_TIME_1                             0x00
#define SWIPE_X_DISTANCE_0                       0xC8
#define SWIPE_X_DISTANCE_1                       0x00
#define SWIPE_Y_DISTANCE_0                       0xFF
#define SWIPE_Y_DISTANCE_1                       0x00
#define SWIPE_ANGLE_0                            0x40
#define GESTURE_OPEN_0                           0x00

/* Change the RxTx Mapping */
/* Memory Map Position 0x90 - 0x9C */
#define RX_TX_MAP_0                              0x00
#define RX_TX_MAP_1                              0x03
#define RX_TX_MAP_2                              0x05
#define RX_TX_MAP_3                              0x0B
#define RX_TX_MAP_4                              0x0A
#define RX_TX_MAP_5                              0x09
#define RX_TX_MAP_6                              0x00
#define RX_TX_MAP_7                              0x00
#define RX_TX_MAP_8                              0x00
#define RX_TX_MAP_9                              0x00
#define RX_TX_MAP_10                             0x00
#define RX_TX_MAP_11                             0x00
#define RX_TX_MAP_12                             0x00

/* Change the Allocation of channels into cycles 0-9 */
/* Memory Map Position 0xA0 - 0xBD */
#define PLACEHOLDER_0                            0x05
#define CH_1_CYCLE_0                             0x00
#define CH_2_CYCLE_0                             0x02
#define PLACEHOLDER_1                            0x05
#define CH_1_CYCLE_1                             0x01
#define CH_2_CYCLE_1                             0xFF
#define PLACEHOLDER_2                            0x05
#define CH_1_CYCLE_2                             0x03
#define CH_2_CYCLE_2                             0x05
#define PLACEHOLDER_3                            0x05
#define CH_1_CYCLE_3                             0x04
#define CH_2_CYCLE_3                             0xFF
#define PLACEHOLDER_4                            0x05
#define CH_1_CYCLE_4                             0x06
#define CH_2_CYCLE_4                             0x08
#define PLACEHOLDER_5                            0x05
#define CH_1_CYCLE_5                             0x07
#define CH_2_CYCLE_5                             0xFF
#define PLACEHOLDER_6                            0x05
#define CH_1_CYCLE_6                             0xFF
#define CH_2_CYCLE_6                             0xFF
#define PLACEHOLDER_7                            0x05
#define CH_1_CYCLE_7                             0xFF
#define CH_2_CYCLE_7                             0xFF
#define PLACEHOLDER_8                            0x05
#define CH_1_CYCLE_8                             0xFF
#define CH_2_CYCLE_8                             0xFF
#define PLACEHOLDER_9                            0x05
#define CH_1_CYCLE_9                             0xFF
#define CH_2_CYCLE_9                             0xFF

/* Change the Allocation of channels into cycles 10-17 */
/* Memory Map Position 0xB0 - 0xCA */
#define PLACEHOLDER_10                           0x05
#define CH_1_CYCLE_10                            0xFF
#define CH_2_CYCLE_10                            0xFF
#define PLACEHOLDER_11                           0x05
#define CH_1_CYCLE_11                            0xFF
#define CH_2_CYCLE_11                            0xFF
#define PLACEHOLDER_12                           0x05
#define CH_1_CYCLE_12                            0xFF
#define CH_2_CYCLE_12                            0xFF
#define PLACEHOLDER_13                           0x05
#define CH_1_CYCLE_13                            0xFF
#define CH_2_CYCLE_13                            0xFF
#define PLACEHOLDER_14                           0x05
#define CH_1_CYCLE_14                            0xFF
#define CH_2_CYCLE_14                            0xFF
#define PLACEHOLDER_15                           0x05
#define CH_1_CYCLE_15                            0xFF
#define CH_2_CYCLE_15                            0xFF
#define PLACEHOLDER_16                           0x05
#define CH_1_CYCLE_16                            0xFF
#define CH_2_CYCLE_16                            0xFF
#define PLACEHOLDER_17                           0x05
#define CH_1_CYCLE_17                            0xFF
#define CH_2_CYCLE_17                            0xFF

#endif	/* IQS7211A_INIT_H */